### Method

# EBookContacts VCard convert

since: 3.60

#### Declaration [src]

    EVCard*
    e_vcard_convert (
      EVCard* self,
      EVCardVersion to_version
    )

#### Description [src]

Converts the `self` into the vCard version `to_version` and returns a converted copy of the `self`. When the `to_version` matches the version of the `self`, then does nothing and returns `NULL`.

Available since: 3.60

#### Parameters

`to_version`

  Type: `EVCardVersion`

  The requested vCard version, one of `EVCardVersion`.

#### Return value

Type: `EVCard`

The `self` converted to `to_version`, or `NULL`, when it is in this version already.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.